Character = gideros.class(Sprite)

function Character:init()

	local words = TextField.new(TTFont.new("fonts/Bembo-Std.ttf", 60, true), "Character Created.. Touch the screen to continue")	
	words:setTextColor(0xF9FAFA)
	words:setPosition(20, 200)
	words:setAlpha(1)
	self:addChild(words)

	self:addEventListener("enterBegin", self.onTransitionInBegin, self)
	self:addEventListener("enterEnd", self.onTransitionInEnd, self)
	self:addEventListener("exitBegin", self.onTransitionOutBegin, self)
	self:addEventListener("exitEnd", self.onTransitionOutEnd, self)
end

function Character:onTransitionInEnd() -- ADD LISTENERS, START LOGIC
	self:addEventListener(Event.MOUSE_UP, self.onMouseUp, self)
	self:addEventListener(Event.ENTER_FRAME, self.update, self)
end

function Character:onTransitionInBegin() -- INITIALIZE VARIABLES HERE
end

function Character:onTransitionOutBegin() -- STOP TIMERS, REMOVE LISTENERS
	self:removeEventListener(Event.MOUSE_UP, self.onMouseUp, self)
end

function Character:onTransitionOutEnd() -- GONE FROM STAGE, CLEANUP
	self:removeEventListener(Event.ENTER_FRAME, self.update, self)

	self:removeEventListener("enterBegin", self.onTransitionInBegin, self)
	self:removeEventListener("enterEnd", self.onTransitionInEnd, self)
	self:removeEventListener("exitBegin", self.onTransitionOutBegin, self)
	self:removeEventListener("exitEnd", self.onTransitionOutEnd, self)
end

function Character:onMouseUp()
	sceneManager:changeScene("play", 1, SceneManager.flipWithFade)
end

function Character:update(event) -- MAIN GAME LOOP
	local dt = event.deltaTime

	-- do stuff here every frame
end